﻿using System;
using System.Windows.Data;
using System.Globalization;

namespace LastColumnFillDataGrid
{
    /// <summary>
    ///     Convert from a passed string to Currency
    /// </summary>
    public class CurrencyConverter: IValueConverter
    {
        public object Convert(object value, Type targetType,
            object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return String.Empty;

            return String.Format(CultureInfo.CurrentCulture, "{0:C2}", value);
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return String.Empty;

            return decimal.Parse(value.ToString(), NumberStyles.Currency);
        }
    }
}
